
Application: gvSIG desktop - gvSIG feature requests #4081
Compile gvSIG 2.3 with java 8 compatibility
02/03/2016 04:58 AM - Andrea Antonello

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Application
Target version: 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)
gvSIG version: 2.3.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

I wanted to ask (we spoke about it during the gvSIG days) if the gvSIG 2.3 release could be compiled with java 8 compatibility.

We, as JGrasstools community have all of our Spatialite and many LiDAR tools developed in java 8 and it would really be good to
have them as plugins inside gvSIG 2.3.

I hope it will be possible.

History
#1 - 02/03/2016 05:58 AM - Álvaro Anguix

Hi Andrea, 
The idea is that the final gvSIG 2.3 will compile with java 8

#2 - 02/03/2016 06:00 AM - Álvaro Anguix
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Assignee set to Joaquín  del Cerro Murciano

#3 - 03/01/2016 09:46 AM - Andrea Antonello

The idea is that the final gvSIG 2.3 will compile with java 8

That is really strategic to be able to add LiDAR tools and new Water management tools. Thank you.

#4 - 03/01/2016 07:09 PM - Joaquín  del Cerro Murciano

Hola Andrea, 
si no pasa nada el proximo build 2426 se compilara con java 1.8

openjdk version "1.8.0_66" 
OpenJDK Runtime Environment (Zulu 8.11.0.1-linux64) (build 1.8.0_66-b17)
OpenJDK 64-Bit Server VM (Zulu 8.11.0.1-linux64) (build 25.66-b17, mixed mode)
javac 1.8.0_66
Pero en el proyecto se sigue especificando que tanto en fuentes como en binarios seamos compatibles con java 1.7 ya que no se si podemos forzar
ahora mismo a que todos los clientes se actualicen a la 1.8.

      <plugin>
      <groupId>org.apache.maven.plugins</groupId>
      <artifactId>maven-compiler-plugin</artifactId>
      <version>2.3.2</version>
      <configuration>
          <source>1.7</source>
          <target>1.7</target>
          <encoding>ISO-8859-1</encoding>
      </configuration>
      </plugin>

No tengo claro que sea lo que necesitas.

#5 - 03/03/2016 10:16 AM - Andrea Antonello

Hi Joaquin, I need to be able to add plugins written and compiled with java 8 to gvSIG.
I am expecting to:
    -  take the gvSIG 2.3 installation
    -  make it use a java 8 to run
    -  and develop my (java 8) modules against that version
    -  release community plugins with java 8?

I am not sure, will gvSIG 2.3 be released with a java 8? If not, then all the JGrasstools and Geopaparazzi tools will not be usable with the official
release...

What do you think?

#6 - 03/04/2016 10:58 AM - Álvaro Anguix

Hi Andrea,

I think that you have a little confusion with java versions and gvSIG. 
Now gvSIG 2.3 could be run with java8 or java7. If you develop your plugins with java8, and the user run gvSIG with java8...he won't have any problem
to use it.

#7 - 03/04/2016 10:59 AM - Álvaro Anguix

...And the portable gvSIG will have java 8.

#8 - 03/05/2016 12:48 PM - Antonio Falciano

Álvaro Anguix wrote:

...And the portable gvSIG will have java 8.
Only the portable or the standard distribution too? If both of them will be bundled with a Java 8, there should not be compatibility issues. It seems also
that Java 8 can run also on the old and not supported Windows XP (even if they do at their own risk): 
https://www.java.com/en/download/faq/winxp.xml

#9 - 03/05/2016 04:35 PM - Andrea Antonello

Hi Alvaro,
maybe you are right.
I would like to have Epanet - LiDAR - Spatialite support in gvSIG. 
Right now a lot of it is already done. So I want to wrap it into a set of plugins and make them available to the community for gvSIG 2.3.

If I understand correctly, I would have to use the portable version to develop against, right? That one will be supplied with a 1.8 JVM. Then people that
want to use the plugins will have to download the portable version then. This is already a viable option for us, thanks.

Is there any particular reason the standard release can't be shipped with 1.8? Not enough testing? 
It would obviously be simpler to have everything shipped the same way.

#10 - 03/05/2016 06:33 PM - Álvaro Anguix

Hi Andrea,
You could use your plugins with portable and installed distributions...about development Joaquin knows better than me, but I think that you musn't any
problem to develop in gvSIG (online or "normal" distribution) with java8. Your plugins will be developed in java 8 and gvSIG is compiled with java7 and
java8 compability. If users of gvSIG (portable or non-portable) run gvSIG with java8 they could use your plugins without problems.
The reason to compile gvSIG with java8 and java7 compatibility is because a lot of public administrations (and clients) are using only java7 and it would
be crazy to release a distribution only for java8.

Hi Antonio,
We're working to have java in the installer (I don't know what version). I must to speak with Joaquin about this.

#11 - 03/06/2016 09:23 AM - Andrea Antonello

Ok, best thing is I wait for the 2426 build to be generated and then I try to port my plugins to that version.

In that way we will see if/what problems there might be. Should I report beck on this issue or better in the mailinglist?

#12 - 06/15/2016 08:32 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)
- Status changed from New to Fixed

#13 - 07/25/2016 10:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed
